List advertiser invoices
curl --request GET \
--url https://{domain}/api/v2/network/adv-billing/invoices \
--header 'X-API-Key: <api-key>'import requests
url = "https://{domain}/api/v2/network/adv-billing/invoices"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{domain}/api/v2/network/adv-billing/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"name": "OK",
"message": "<string>",
"info": {
"invoices": [
{
"id": 123,
"invoice_number": "<string>",
"date": "<string>",
"status": "<string>",
"amount": {
"value": "<string>",
"currency": "<string>"
},
"period": "<string>",
"attachment": "<string>",
"internal_notes": "<string>",
"advertiser": {
"id": 123,
"name": "<string>"
},
"offers": [
{
"id": 123,
"title": "<string>"
}
],
"goal_types": [
{}
]
}
]
}
}{
"status": "error",
"code": 400,
"name": "Bad Request",
"message": "Request could not be parsed.",
"info": {
"errors": {}
}
}{
"status": "error",
"code": 401,
"name": "Unauthorized",
"message": "API key is invalid or missing."
}{
"status": "error",
"code": 403,
"name": "Forbidden",
"message": "This endpoint is not available for your role."
}{
"status": "error",
"code": 404,
"name": "Not Found",
"message": "Resource not found."
}{
"status": "error",
"code": 500,
"name": "Internal Server Error",
"message": "An unexpected error occurred.",
"info": {
"errors": {}
}
}Advertiser billing
List advertiser invoices
Returns a paginated list of advertiser invoices. Pagination metadata is returned in response headers (X-Pagination-*).
GET
/
api
/
v2
/
network
/
adv-billing
/
invoices
List advertiser invoices
Authorizations
ApiKeyHeaderAuthApiKeyAuth
Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.
Query Parameters
Field to sort by.
Available options:
id, invoice_number, date, advertiser, status, amount, period, attachment, internal_notes Sort direction.
Available options:
asc, desc Page number (1-based).
Items per page.
Comma-separated list of fields to return (sparse fieldset). id is always included. Note the parameter is fields, not columns. Example: id,invoice_number,date,status,amount,period,attachment,internal_notes,advertiser.
Filter by invoice status.
Available options:
, paid, unpaid, draft, processing Filter by advertiser IDs (comma-separated). Example: 11,14.
Filter by currency codes (comma-separated). Example: UAH,USD,EUR.
Free-text search.
Was this page helpful?